package com.gic.finance.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.finance.entity.TabTransferAccountsApproval;

public interface TabTransferAccountsApprovalMapper {
    /**
     * 根据主键删除
     *
     * @param transferApprovalId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer transferApprovalId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabTransferAccountsApproval record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabTransferAccountsApproval record);

    /**
     * 根据主键查询
     *
     * @param transferApprovalId 主键
     * @return 实体对象
     */
    TabTransferAccountsApproval selectByPrimaryKey(Integer transferApprovalId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabTransferAccountsApproval record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabTransferAccountsApproval record);

    List<TabTransferAccountsApproval> listTransferAccountsApproval(@Param("search") String search,
                                                                       @Param("approvalStatus") Integer approvalStatus,
                                                                       @Param("enterpriseId") Integer enterpriseId);
}